---
title: '<xsl:value-of>'
slug: Web/XSLT/Element/value-of
tags:
  - Element
  - Reference
  - XSLT
  - value-of
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:value-of&gt;</code> element evaluates an XPath expression, converts it to a string, and writes that string to the result tree.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:value-of select=EXPRESSION disable-output-escaping="yes" | "no"  /&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>select</code></dt>
 <dd>Specifies the XPath expression to be evaluated and written to the output tree.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>disable-output-escaping</code> (Netscape does not serialize the result of transformation - the "output" below - so this attribute is essentially irrelevant in context. To output html-entities, use numerical values instead, eg <code>&amp;#160</code> for <code>&amp;nbsp</code>)</dt>
 <dd>Specifies whether special characters are escaped when written to the output. The available values are "<code>yes</code>" or "<code>no</code>". If "<code>yes</code>" is set, for example, the character &gt; is output as <code>&gt;</code>, not as "<code>&amp;gt</code>".</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Instruction, appears with a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 7.6.1.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported except as above.</p>
